Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05206 DIP/Input Minor Always May 27, 2013, 16:40 Sep 18, 2016, 18:02
Tester Iaspis View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Open OS Windows Vista/7 (32-bit)
Status [?] Confirmed Driver cave.cpp
Version 0.148u5 Fixed in Version Build Normal
Summary 05206: agallet and clones: Turning screenflip ON in test menu results in a black screen
Description If you turn screenflip ON in test menu and exit, the screen turns black. The emulation is not stuck however; if you press down several times and then press 1P fire, the screen is showing again flipped, meaning that the test menu was fuctioning properly and EXIT was selected.
Steps To Reproduce Press F2, select 1st option, then modify 3rd option, then EXIT.
Additional Information
Flags
Regression Version 0.57 (since added)
Affected Sets / Systems agallet and clones
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.09554
Tafoid
Administrator
May 27, 2013, 22:50
Not sure if this isn't how it happens on actual arcade. Many machines will require power down or a reset cycle (save and reload of nvram) before settings are take and used correctly.
User avatar
No.09557
NekoEd
Senior Tester
May 27, 2013, 23:09
If you cold reset, or simply exit the service mode after flipping the screen (and it goes black) then it will return. I think this is intended behavior. If anyone can confirm on real hardware, that'd be great. I'll acknowledge this pending further investigation.
User avatar
No.09574
Tafoid
Administrator
May 30, 2013, 15:32
Got information from Tormod regarding this:
Tested this:

Enter SETUP
Enter 1. DIP -SW - SETTING
Change SCREEN FF to ON
Scroll down to
9: EXIT
Hit Button A

Screen immediately flips upside down without any power cycle.

So, the black screen happening doesn't happen in original, this looks to be a valid bug.
User avatar
No.12513
Iaspis
Tester
Apr 6, 2016, 19:18
I wonder if this glitch is somewhat related to 05467, although that was fixed quite some time ago.
User avatar
No.13185
Iaspis
Tester
Sep 18, 2016, 13:49
This one still occurs in 0.177
User avatar
No.13186
B2K24
Moderator
Sep 18, 2016, 18:02
It is unnecessary to bump a report. Please refrain from doing so.